Name: chsh
Version: 1.0.1
Release: 2
License: MIT
Summary: A simple utility to change a user's shell

BuildRequires: libutil-devel
BuildRequires: sqlcli-devel

Source0: chsh.c

%description
%summary

%prep
%setup -T -c

%build

gcc -o %{name} %SOURCE0 -I%{_includedir}/cli -ldb400 -lutil -Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib

%install
mkdir -p %{buildroot}%{_bindir}
cp %{name} %{buildroot}%{_bindir}

%files
%defattr(-, qsys, *none)
%{_bindir}/%{name}

%changelog
* Mon Apr 06 2020 Mark Irish <mirish@ibm.com> - 1.0.1
- Enable chsh to work when job CCSID is 65535

* Wed Dec 18 2019 Kevin Adler <kadler@us.ibm.com> - 1.0
- Implement chsh utility using CLI and SET_PASE_SHELL_INFO SQL service
